VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
WindowListenerAdapter Class Reference
Standalone Library

Window listener adapter More...

`#include <windowlistener.h>`

Inheritance diagram for WindowListenerAdapter:

## Public Member Functions
void | onSizeChanged (const IWindow &window, const CPoint &newSize) override
| Size of window is changed.
void | onPositionChanged (const IWindow &window, const CPoint &newPosition) override
| Position of window is changed.
void | onShow (const IWindow &window) override
| Window is shown.
void | onHide (const IWindow &window) override
| Window is hidden.
void | onClosed (const IWindow &window) override
| Window is closed.
void | onActivated (const IWindow &window) override
| Window is activated.
void | onDeactivated (const IWindow &window) override
| Window is deactivated.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Detailed Description

Window listener adapter

## Member Function Documentation

## ◆ onActivated()

void onActivated | ( | const IWindow & | window | ) |
| inline override virtual

Window is activated.

Implements IWindowListener.

## ◆ onClosed()

void onClosed | ( | const IWindow & | window | ) |
| inline override virtual

Window is closed.

Implements IWindowListener.

## ◆ onDeactivated()

void onDeactivated | ( | const IWindow & | window | ) |
| inline override virtual

Window is deactivated.

Implements IWindowListener.

## ◆ onHide()

void onHide | ( | const IWindow & | window | ) |
| inline override virtual

Window is hidden.

Implements IWindowListener.

## ◆ onPositionChanged()

void onPositionChanged | ( | const IWindow & | window,
|  | const CPoint & | newPosition )
| inline override virtual

Position of window is changed.

Implements IWindowListener.

## ◆ onShow()

void onShow | ( | const IWindow & | window | ) |
| inline override virtual

Window is shown.

Implements IWindowListener.

## ◆ onSizeChanged()

void onSizeChanged | ( | const IWindow & | window,
|  | const CPoint & | newSize )
| inline override virtual

Size of window is changed.

Implements IWindowListener.

The documentation for this class was generated from the following file:

- windowlistener.h